///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#include "goal_entity.h"

//--------------------------------------------------------------------------------------------------------------------//

GoalEntity::GoalEntity(const tbMath::Vector2& position, const tbCore::tbString& nextLevel) :
	CollisionEntity("GoalEntity", tbMath::Unstable::BoundingVolume(16.0f), tbMath::Vector2(0.0f, 0.0f)),
	mNextLevel(nextLevel)
{
	SetPosition(position);
}

//--------------------------------------------------------------------------------------------------------------------//

GoalEntity::~GoalEntity(void)
{
}

//--------------------------------------------------------------------------------------------------------------------//

void GoalEntity::OnCollideWith(tbGame::Entity& otherEntity)
{
	CollisionEntity::OnCollideWith(otherEntity);
}

//--------------------------------------------------------------------------------------------------------------------//
