///
/// @file
/// @details Entry point of the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_ludumdare34_h_
#define _LudumDare34_ludumdare34_h_

#include "turtle_brains/tb_application_kit.h"
#include "turtle_brains/tb_audio_kit.h"
#include "turtle_brains/tb_core_kit.h"
#include "turtle_brains/tb_debug_kit.h"
#include "turtle_brains/tb_game_kit.h"
#include "turtle_brains/tb_graphics_kit.h"
#include "turtle_brains/tb_math_kit.h"

#include <stdint.h>

#define developer_build

typedef uint32_t MillisecondTimer;

static const MillisecondTimer kFixedTimeMS(10);
static const float kFixedTime(0.01f);

static const float kAnimationFrameRate(1.0f / 12.0f);

#endif /* _LudumDare34_ludumdare34_h_ */
