///
/// @file
/// @details An entity within the ludumdare34 project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#ifndef _LudumDare34_WaterDropletEntity_h_
#define _LudumDare34_WaterDropletEntity_h_

#include "ludumdare34.h"
#include "collision_entity.h"

class WaterDropletEntity : public tbGame::EntityInterface
{
public:
	WaterDropletEntity(const tbMath::Vector2& position, int delayNumber);
	virtual ~WaterDropletEntity(void);

protected:
	virtual void OnSimulate(void) override;
private:
	tbGame::GameTimer mDelayTimer;
	tbGraphics::Sprite mSprite;
};

#endif /* _LudumDare34_WaterDropletEntity_h_ */
